Skip to main content
GET
Get ledger

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

invoicing_entity_id
string

Require the ledger to belong to this invoicing entity.

Response

id
string
required

Unique ledger identifier.

name
string
required

Display name of the ledger.

code
string | null
required

Accounting code of the ledger.

description
string | null
required

Optional ledger description.

type
enum<string>
required

Type of ledger.

Available options:
IFRS,
US_GAAP,
FR_GAAP,
UK_GAAP,
LOCAL_GAAP,
MANAGEMENT,
CONSOLIDATION,
AUDIT_ADJUSTMENT
invoicing_entity_id
string
required

Owning invoicing entity identifier.

currency
string
required

ISO 4217 ledger currency.

entry_number_pattern
string
required

Pattern used to number journal entries.

next_entry_number
number
required

Next journal-entry sequence number.

is_primary
boolean | null
required

Whether this is the entity's primary ledger.

is_inactive
boolean | null
required

Whether the ledger is inactive.

created_at
string<date> | null
required

Timestamp when the ledger was created.

updated_at
string<date> | null
required

Timestamp when the ledger was last updated.